#include <stdio.h>

/*   Prototipos das funcoes   */
void leitura(int vet[], int *tam);
void impressao(int vet[], int tam);
void deslocamento(int vet[], int menor, int maior);
void soma(int v1[], int v2[], int v3[], int n);

int main(void)
{
	int n, m, i, maior;
	int vet1[10], vet2[10], vet3[10];

	leitura(vet1, &m);
	leitura(vet2, &n);

	if (m < n)  // vetor 1 eh menor
	{
		maior = n;
		deslocamento(vet1, m, n);
	}
	if (n < m) // vetor 2 eh menor
	{
		maior = m;
		deslocamento(vet2, n, m);
	}

	impressao(vet1, maior);
	impressao(vet2, maior);

	soma(vet1, vet2, vet3, maior);

	impressao(vet3, maior);

	return 0;
}

void leitura(int vet[], int *tam)
{
	int i;
	scanf("%d", tam);
	for (i=0; i < *tam; i++)
		scanf("%d", &vet[i]);
}

void impressao(int vet[], int tam)
{
	int i;
	printf("\n");
	for (i=0; i < tam; i++)
		printf("%d ", vet[i]);
}

void deslocamento(int vet[], int menor, int maior)
{
	int i;
	for (i=maior-1; i>=(maior-menor); i--)
		vet[i] = vet[i-(maior-menor)];
	for (i=0; i<(maior-menor); i++)
		vet[i] = 0;
}

void soma(int v1[], int v2[], int v3[], int n)
{
	int i, aux, vai, fica;
	vai = 0;
	fica = 0;
	for (i=n-1; i>=0; i--)
	{
		aux = v1[i] + v2[i];
		if (aux > 9)
		{
			fica = aux%10;
			v3[i] = fica + vai;
			vai = aux/10;
		}
		else
		{
			v3[i] = aux + vai;
			vai = 0; 
		}
	}
}
