#include <stdio.h>
#include <math.h>
#define TOL 0.000001

double busca_raiz(double numero, double inicio, double fim) 
{
  	double meio;

    meio = (inicio + fim)/2;
    if (fabs(meio*meio - numero) < TOL)
     	return meio;     // caso base
    else if (meio*meio < numero)
		return busca_raiz(numero, meio, fim);
    else
		return busca_raiz(numero, inicio, meio);
}

int main(void) 
{
  	double x, raiz;

  	scanf("%lf", &x);
 
	if(x >= 1) 
  		raiz = busca_raiz(x, 0, x); // busca a raiz de x entre 0 e x 
  	else
		raiz = busca_raiz(x, x, 1); // busca a raiz de x entre x e 1 se 0 < x < 1
  	printf("A raiz de %.2lf eh %.2lf.\n", x, raiz);

  	return 0;
}
