#include <stdio.h>
#include <string.h>

void imprime(char mat[][10], int n);
void intercala (int ini1, int ini2, int fim, char mat[][10]);
void mergesort (int inicio, int fim, char mat[][10]);

int main (void) 
{
  	char nomes[10][10]; 
	int i, n;
	
	scanf("%d", &n);
	for (i=0; i<n; i++)
		scanf("%s", nomes[i]);

	imprime(nomes, n);

  	mergesort (0, n - 1, nomes);

	imprime(nomes, n);

  	return 0;
}

void intercala (int ini1, int ini2, int fim, char mat[][10]) 
{
  	int i, j, k;
  	char w[10][10];

  	i = ini1; 
  	j = ini2;
  	k = 0;

  	while (i < ini2 && j <= fim) 
	{
    		if (strlen(mat[i]) <= strlen(mat[j]))  
      		strcpy(w[k++], mat[i++]);
    		else  
      		strcpy(w[k++], mat[j++]);
  	}
  
  	while (i < ini2)  
    		strcpy(w[k++], mat[i++]);

  	while (j <= fim)  
    		strcpy(w[k++], mat[j++]);

  	for (i = ini1; i <= fim; i++)  
    		strcpy(mat[i], w[i-ini1]);
}

void mergesort (int inicio, int fim, char mat[][10]) 
{
	int meio;
  	if (inicio < fim) 
	{
    		meio = (inicio + fim)/2;
    		mergesort (inicio, meio, mat);
    		mergesort (meio + 1, fim, mat);
    		intercala (inicio, meio + 1, fim, mat);
  	}
}

void imprime(char mat[][10], int n) 
{
  	int i;

  	for (i = 0; i < n-1; i++)  
    		printf("%10s, ", mat[i]);
  	printf("%10s\n", mat[n-1]); 
}
