#include <stdio.h>

/*   Prototipos das funcoes   */
void intercala (int v1[], int v2[], int v3[], int dimensao);
void leitura(int vet[], int tam);
void impressao(int vet[], int tam);

int main(void)
{
	int vet1[10], vet2[10], vet3[20];
	int dim, i;

	scanf("%d", &dim);
	leitura(vet1, dim);
	leitura(vet2, dim);

	intercala(vet1, vet2, vet3, dim);
	
	impressao(vet3, 2*dim);

	return 0;
}

void leitura(int vet[], int tam)
{
	int i;
	for (i=0; i < tam; i++)
		scanf("%d", &vet[i]);
}

void impressao(int vet[], int tam)
{
	int i;
	printf("\n");
	for (i=0; i < tam; i++)
		printf("%d ", vet[i]);
}


void intercala (int v1[], int v2[], int v3[], int dimensao)
{
	int i, j, k;
	i = j = k = 0;
	while ((i != dimensao) || (j != dimensao))
	{
		if (i != dimensao && (j == dimensao || v1[i] < v2[j]))
		{                     // v1 nao terminou e (v1 eh menor q v2 OU v2 terminou)
			v3[k] = v1[i];
			k++; 
			i++;
		}
		else 
		{
			v3[k] = v2[j];
			k++; 
			j++;	
		} 
	} 
}
