#include <stdio.h>

int main(void)
{
     int v, u;
     int *pv, *pu;
     v = 45;
     pv = &v;
     *pv = v + 1;
     u = *pv + 1;
     pu = &u;
     return 0;
}

/* Considerando o endereco de u igual a 1000 e o endereco de v igual a 1004.

Resolução:

(a) &v
	O endereco da variavel v: 1004

(b) pv
	Ponteiro para a variavel v, ou seja, guarda o endereco de memoria da variavel v: 1004

(c) *pv
	Valor guardado na regiao de memoria apontada por pv.
	Como pv apontou para v (linha 8) e apos a operacao da linha 9, *pv vale: 46

(d) u
	Na linha 10, u recebe o valor guardado na regiao de memoria apontada por pv acrescido de 1, logo u vale: 47

(e) &u
	O endereco da variavel u: 1000

(f) pu
	Ponteiro para a variavel u, ou seja, guarda o endereco de memoria da variavel u: 1000

(g) *pu
	Valor guardado na regiao de memoria apontada por pu.
	Como pu apontou para u (linha 11) e u tinha recebido o valor 47 (linha 10), *pu vale: 47

*/
