#include <stdio.h>

int main(void)
{
     float a, b;
     float c, *pa, *pb;
     a = 1;
     b = 3;
     pa = &a;
     *pa = 2 * a;
     pb = &b;
     c = 3 * (*pa + *pb);
     return 0;
}

/* Considerando os enderecos de a, b e c iguais a 1000, 1004 e 1008, respectivamente.

Resolução:

(a) &a 
	Endereco da variavel a: 1000

(b) &b     
	Endereco da variavel b: 1004

(c) &c
	Endereco da variavel c: 1008

(d) pa 
	Ponteiro para a variavel a, ou seja, guarda o endereco de a: 1000

(e) *pa    
	Valor guardado na regiao de memoria apontada por pa. 
	Considerando as linhas 7 e 10, temos que *pa vale: 2

(f) &(*pa)
	O endereco da regiao de memoria apontada por pa: 1000

(g) pb 
	Ponteiro para a variavel b, ou seja, guarda o endereco de b: 1004

(h) &(*pb)  
	O endereco da regiao de memoria apontada por pb: 1004

(i) c
	3 * (2 + 3) = 15
