#include <stdio.h>
#include <math.h>
/* --------------- Prototipos das funcoes -------------------- */
void le_vetor(float vet[], int *n);
int estat(float vet[], int n, float *me, float *mdn, float *d);
void imprime_estat(float me, float mdn, float d, int q);
/* ----------------------------------------------------------- */

int main(void)
{
	float vetor[100];
	int tam, qtde, i;
	float media, mediana, desvio;

	le_vetor(vetor, &tam);

	qtde = estat(vetor, tam, &media, &mediana, &desvio);

	imprime_estat(media, mediana, desvio, qtde);	
                                 
	return 0;                           
}

int estat(float vet[], int n, float *me, float *mdn, float *d)
{
	int i;
	int qtde;

	// calculo da media 
	*me = 0;
	*d = 0;
	for (i=0; i<n; i++)
	{
		*me += vet[i];
	}
	*me = *me/n;
	// calculo do desvio
	for (i=0; i<n; i++)
	{
		*d += ((vet[i] - *me)*(vet[i] - *me));
	}
	*d = sqrt(*d/(n-1));

	// calculo da mediana
	if (n%2 == 0) // numero par
	 	*mdn = (vet[n/2] + vet[n/2 -1]) / 2;
	else
		*mdn = vet[n/2];

	// quantidade no intervalo [media-desvio , media + desvio]
	qtde = 0;
	for (i=0; i<n; i++)
	{
		if((vet[i] >= *me - *d) && (vet[i] <= *me + *d))
			qtde++;
	} 
	return qtde;
}

void le_vetor(float vet[], int *n)
{
	int i;

	printf("Digite o tamanho do vetor: \n");	
	scanf("%d", n);

	printf("Digite os elementos do vetor em ordem crescente: \n");
	for(i=0; i< *n; i++)
		scanf("%f", &vet[i]);
}
	
void imprime_estat(float me, float mdn, float d, int q)
{
	printf("Resumo das estatisticas: \n");
	printf("Media dos elementos do vetor: %f \n", me);
	printf("Mediana dos elementos do vetor: %f \n", mdn);
	printf("Desvio Padrao dos elementos do vetor: %f \n", d);
	printf("Qtde de elementos entre %f e %f: %d \n", me-d, me+d, q);
}
