#include <stdio.h>

/* A função scanfBrasil funciona como a scanf.
   Lê somente floats na forma 2,34 (exemplo).
   Retorna 1 se tudo ok e 0 em caso de erro.
*/
int scanfBrasil(double *f) 
{
	int i=0;        
	char s[256];    /* a entrada do usuário */
	double aux = 0; /* para a parte inteira do número */
	float mult = 1; /* para a parte decimal do número */

	/* pego o que o usuário digitou */
	gets(s);

	/* transformo a parte inteira em um número */
	while ((s[i] >= '0') && (s[i] <= '9')) 
	{
		aux = aux*10 +s[i] - '0'; 
		i++;
	}

	/* vejo se o valor digitado foi um inteiro */
	if (s[i] == '\0') 
	{
		/* retorno a resposta */
		*f = aux;
		return 1;
	}

	/* somente , é aceita como divisor decimal */
	if (s[i] != ',') return 0;
	/* vou ao caracter seguinte à , */
	i++;

	/* transformo a parte decimal em um número */
	while ((s[i] >= '0') && (s[i] <= '9')) 
	{
		mult /= 10;
		aux = aux + (s[i] - '0') * mult;
		i++;
	}

	/* vejo se há algum não dígito */
	if (s[i] != '\0') return 0;

	/* dou a resposta */
	*f = aux;
	return 1;
}

int main(void) 
{
	double f;
	if (!scanfBrasil(&f)) printf("Erro!\n");
	else printf("Numero = %f\n",f);
	return 0;
}
